Skip to main content
GET
List actions

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
assigned_users,
assigned_teams,
form_submission,
triggering_job_role,
closed_by
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • eq(id,xxx): Filter actions by ID.
  • eq(organisation,xxx): Filter actions by organisation ID.
  • eq(state,xxx): Filter by lifecycle state. One of open, closed.
  • eq(priority,xxx): Filter by priority. One of low, normal, high, urgent.
  • eq(subject_type,xxx): Filter by subject kind. v1 supports form-submissions.
  • eq(subject_id,xxx): Filter by subject ID (e.g. the form submission ID when subject_type is form-submissions).
  • eq(assigned_user,xxx): Filter to actions assigned to a given user ID.
  • eq(assigned_team,xxx): Filter to actions assigned to a given team ID.
  • eq(triggering_job_role,xxx): Filter by the triggering job role ID.
  • ge(due_at,xxx) / le(due_at,xxx): Filter by due date range. Use the function-style ge/le operators (not gte/lte).

For more information on using named filters, see the docs

sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
due_at,
-due_at,
priority,
-priority,
created_at,
-created_at
limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0

Response

Get a list of actions.

JSON API response object

data
A list of actions · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when an action is returned.

A user